Subject: bug#70811: ConTeXt-mode-cleanup clobbers my paragraph-start

From: Ikumi Keita <[email-masked]>
Date: Tue, 14 May 2024 20:32:39 +0900

Hi Jim,

>>>>> Jim <[email-masked]> writes:
> In the interest of getting you an answer quickly, I only tested it for
> about 5 minutes, but in all of those tests, I can happily say that it did
> what I wanted it to do.

Thanks for testing. I pushed the fix to the git repository.

>> You can use
>> (add-hook 'LaTeX-mode-hook
>> (lambda ()
>> (add-hook 'find-file-hook
>> (lambda ()
>> (setq paragraph-start "abc")) <-- Set whatever you like
>> nil t)))
>> in your init file if you really need, but I'd like you to try the patch
>> below first.

> Thanks for that emacs-fu.  (Although I wonder if I want 'ConTeXt-mode-hook'
> intead of 'LaTeX-mode-hook'.)

You are right. That's `ConTeXt-mode-hook'. 💦

> Regardless of what hook I should use, this version of your patch seems to
> work very nicely.  Thank you for all the time you have put into this.

You're welcome. I'll close this bug.

Best regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW